- Main Page
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

# cVirtualDevice Class Reference

Class which interfaces with the virtual device. More...

`#include <CVirtualDevice.h>`

Inheritance diagram for cVirtualDevice:

List of all members.

## Public Member Functions
| cVirtualDevice ()
| Constructor of cVirtualDevices.
virtual | ~cVirtualDevice ()
| Destructor of cGenericDevice.
virtual int | open ()
| Open connection to virtual device.
virtual int | close ()
| Close connection to virtual device.
virtual int | initialize (const bool a_resetEncoders=false)
| Calibrate virtual device.
virtual int | command (int a_command, void *a_data)
| Set a command to the virtual device.
## Private Attributes
HANDLE | m_hMapFile
| shared memory connection to virtual haptic device
LPVOID | m_lpMapAddress
| pointer to shared memory
cVirtualDeviceData * | m_pDevice
| pointer to shared memory data structure

## Detailed Description

Class which interfaces with the virtual device.

## Constructor & Destructor Documentation

cVirtualDevice::cVirtualDevice | ( |  | ) |

Constructor of cVirtualDevices.

Constructor of cVirtualDevice.

cVirtualDevice::~cVirtualDevice | ( |  | ) | `[virtual]`

Destructor of cGenericDevice.

Destructor of cVirtualDevice.

## Member Function Documentation

int cVirtualDevice::open | ( |  | ) | `[virtual]`

Open connection to virtual device.

Open connection to virtual device.

Returns:
  Return 0 is operation succeeds, -1 if an error occurs.

Reimplemented from cGenericDevice.

int cVirtualDevice::close | ( |  | ) | `[virtual]`

Close connection to virtual device.

Close connection to virtual device

Returns:
  Return 0 is operation succeeds, -1 if an error occurs.

Reimplemented from cGenericDevice.

int cVirtualDevice::initialize | ( | const bool | a_resetEncoders = `false` | ) | `[virtual]`

Calibrate virtual device.

Initialize virtual device. a_resetEncoders is ignored

Parameters:

  | a_resetEncoders | ignored

Returns:
  Return 0 is operation succeeds, -1 if an error occurs.

Reimplemented from cGenericDevice.

int cVirtualDevice::command | ( | int | a_command,
|  | void * | a_data |
| ) |  |  | `[virtual]`

Set a command to the virtual device.

Set command to the virtual device

Parameters:

  | a_command | Selected command.
  | a_data | Pointer to the corresponding data structure.

Returns:
  Return status of command.

Reimplemented from cGenericDevice.

The documentation for this class was generated from the following files:

- chai3d/src/devices/CVirtualDevice.h
- chai3d/src/devices/CVirtualDevice.cpp